Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 May 2015 12:42:23 +0300

> Date: Fri, 29 May 2015 22:21:29 -0700
> From: Clément Pit--Claudel
>  <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 05/29/2015 06:15 AM, Eli Zaretskii wrote:
> >> From: Oleh Krehel <[email-masked]>
> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> >> Date: Fri, 29 May 2015 11:30:55 +0200
> >>
> >> Clément Pit--Claudel <[email-masked]> writes:
> >>
> >>> The patch partially solves the problem for me, but I noticed a few
> >>> problems after running (set-frame-font "Latin Modern Math")
> >>> * When the cursor is at the end of the file, on an empty line, it has a very height.
> >                                                                             ^^^^^^^^^^^
> > 
> > "Very WHAT height"? "very small" or "very large"?
> 
> Woops, sorry. Very large height.

Do you still see the problem with the current branch head?

> Thanks for the detailed explanation! You were right, the height is fine if the character itself is inserted. The problem is due to prettify-symbols-mode.

Do you still see the problem with the current branch head?  If I just
turn on prettify-symbols-mode (the one included in the Emacs
repository) in *scratch*, I see no problems with the current branch
head.